<template>
  <div class="beian" ref="footer">
    <a href="https://beian.miit.gov.cn" target="_blank">皖ICP备2021017362号-1</a>
    <a class="swag" target="_blank" href="https://www.hxyouzi.com/swag">api文档</a>

    <div class="flex text-[#409eff] text-[12px] ml-[20px]">
      <div>今日访问：{{ ips?.todayIp }}</div>
      <div class="ml-2">总访问：{{ ips?.allIp }}</div>
    </div>
  </div>
</template>

<script setup>
import { usesizeStore } from '@/stores/size.js';

const footer = ref(null);
const size = usesizeStore();
const ips = ref()

onMounted(async ()=>{
  size.setFootH(footer.value.clientHeight)
  const res = await $http.mix.ipStat()
  ips.value = res.data
  console.log("8888",ips.value);
  
})
</script>

<style scoped lang="less">
.beian {
  padding: 20px 0;
  display: flex;
  justify-content: center;
  background-color: @mozi;
}

.beian a {
  font-size: 12px;
  text-decoration: none;
  color: @blue;
}
.beian .swag {
  margin-left: 20px;
}
</style>
